Bug 1456770 (CVE-2017-0373) - CVE-2017-0373 perl-Config-Model: gen_class_pod implementation has dangerous "use lib" line
Summary: CVE-2017-0373 perl-Config-Model: gen_class_pod implementation has dangerous "...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-0373
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170510,repor...
Depends On: 1456772
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 10:33 UTC by Adam Mariš
Modified: 2019-06-08 22:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 14:37:24 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-30 10:33:09 UTC
The gen_class_pod implementation in lib/Config/Model/Utils/GenClassPod.pm in Config-Model (aka libconfig-model-perl) before 2.102 has a dangerous "use lib" line, which allows remote attackers to have an unspecified impact via a crafted Debian package file.

Debian patch:

https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git/commit/?h=stretch&id=e7e5dd1a650939a0e021d1d5b311dbb3c4884773

Comment 1 Adam Mariš 2017-05-30 10:36:56 UTC
Created perl-Config-Model tracking bugs for this issue:

Affects: fedora-all [bug 1456772]


Note You need to log in before you can comment on or make changes to this bug.